---
layout: page
title: About
permalink: /about/
---

*"we hope to introduce nothing harsh or burdensome" - Rule of St. Benedict (c. 516)*

CommunityRule is a project of the [Media Enterprise Design Lab](https://cmci.colorado.edu/medlab/) at the University of Colorado Boulder.

## Points of reference

* [Contributor Covenant](https://www.contributor-covenant.org/)
* [Metagovernance Project](http://metagov.org/)
    - "[Admins, Mods, and Benevolent Dictators for Life](https://osf.io/gxu3a/?view_only=11c9e93011df4865951f2056a64f5938)"
    - "[Modular Politics](https://ntnsndr.in/modular-politics)"
* Monastic rules
    - Rule of St. Augustine
    - Rule of St. Benedict
    - Rule of St. Clare
    - [unMonastery](http://unmonastery.org/)
        - Ben Vickers, "[Rules and Rhythms](https://www.e-flux.com/architecture/digital-x/260389/rules-and-rhythms/)," _e-flux_ (2019)
* [One Click Orgs](https://web.archive.org/web/20190911090644/http://www.oneclickorgs.com/)
* Online communities
    - [Loomio Community Group](https://loomio.coop/community_group.html)
    - [Social.coop bylaws](https://wiki.social.coop/rules-and-bylaws/Bylaws-for-social.coop.html)
* Sociocracy
    - Sociocracy for All, "[Governance Agreements in Sociocracy](Governance Agreements in Sociocracy)"
* Software communities
    - [Apache](https://apache.org/foundation/governance/)
    - [Debian](https://www.debian.org/devel/constitution)
    - [Python](https://www.python.org/dev/peps/pep-8016/)
    - [Wikipedia](https://en.wikipedia.org/wiki/Wikipedia:Administration)
* [Virtual Communities for Impact](https://communitiesforimpact.org/)

## Design goals

* Compatibility with Loomio
    - Translate each module into Loomio practices, implicitly or explicitly (e.g., time for a proposal, threshold, voting options)
* Module system with database
    - JavaScript pulling from GDocs?
    - Jekyll csv data pull? https://jekyllrb.com/docs/datafiles/
